Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class UnmodifiableConfigNodes

    java.lang.Object
      |
      +--oracle.apps.cz.cio.UnmodifiableConfigNodes

All Implemented Interfaces:
  com.sun.java.util.collections.Collection

public class UnmodifiableConfigNodes
extends java.lang.Object
implements com.sun.java.util.collections.Collection

UnmodifiableConfigNodes takes a collection and boolean as arguments. The collection has objects of that are instances of StatusInfo (isStatusInfo=true) or IRuntimeNodes (isStatusInfo=false) UnmodifiableConfigNodes overides the collection method. UnmodifiableConfigNodes.iterator iterates over only objects that are instances of IBasicPrice No object(s) can be added or removed from UnmodifiableConfigNodes

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(com.sun.java.util.collections.Collection coll)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(com.sun.java.util.collections.Collection coll)`
`boolean` | `isEmpty()`
`com.sun.java.util.collections.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(com.sun.java.util.collections.Collection coll)`
`boolean` | `retainAll(com.sun.java.util.collections.Collection coll)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.java.util.collections.Collection
`equals, hashCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `com.sun.java.util.collections.Collection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `com.sun.java.util.collections.Collection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `com.sun.java.util.collections.Collection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `com.sun.java.util.collections.Collection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `com.sun.java.util.collections.Collection`

### iterator

    public com.sun.java.util.collections.Iterator iterator()

  Specified by:
    `iterator` in interface `com.sun.java.util.collections.Collection`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `com.sun.java.util.collections.Collection`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `com.sun.java.util.collections.Collection`

### containsAll

    public boolean containsAll(com.sun.java.util.collections.Collection coll)

  Specified by:
    `containsAll` in interface `com.sun.java.util.collections.Collection`

### addAll

    public boolean addAll(com.sun.java.util.collections.Collection coll)

  Specified by:
    `addAll` in interface `com.sun.java.util.collections.Collection`

### removeAll

    public boolean removeAll(com.sun.java.util.collections.Collection coll)

  Specified by:
    `removeAll` in interface `com.sun.java.util.collections.Collection`

### retainAll

    public boolean retainAll(com.sun.java.util.collections.Collection coll)

  Specified by:
    `retainAll` in interface `com.sun.java.util.collections.Collection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `com.sun.java.util.collections.Collection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.